OpenTTD Source: WidgetDimensions Class Reference

OpenTTD Source 15.0-RC2

Data Fields | Static Public Attributes | Private Attributes | Static Private Attributes
WidgetDimensions Class Reference

## Data Fields
RectPadding | imgbtn
| Padding around image button image.
RectPadding | inset
| Padding inside inset container.
RectPadding | vscrollbar
| Padding inside vertical scrollbar buttons.
RectPadding | hscrollbar
| Padding inside horizontal scrollbar buttons.
RectPadding | bevel
| Bevel thickness, affected by "scaled bevels" game option.
RectPadding | fullbevel
| Always-scaled bevel thickness.
RectPadding | framerect
| Standard padding inside many panels.
RectPadding | frametext
| Padding inside frame with text.
RectPadding | matrix
| Padding of WWT_MATRIX items.
RectPadding | shadebox
| Padding around image in shadebox widget.
RectPadding | stickybox
| Padding around image in stickybox widget.
RectPadding | debugbox
| Padding around image in debugbox widget.
RectPadding | defsizebox
| Padding around image in defsizebox widget.
RectPadding | resizebox
| Padding around image in resizebox widget.
RectPadding | closebox
| Padding around image in closebox widget.
RectPadding | captiontext
| Padding for text within caption widget.
RectPadding | dropdowntext
| Padding of drop down list item.
RectPadding | dropdownlist
| Padding of complete drop down list.
RectPadding | modalpopup
| Spacing for popup warning/information windows.
RectPadding | picker
| Padding for a picker (dock, station, etc) window.
RectPadding | sparse
| Padding used for 'sparse' widget window, usually containing multiple frames.
RectPadding | sparse_resize
| Padding used for a resizeable 'sparse' widget window, usually containing multiple frames.
int | vsep_picker
| Vertical spacing of picker-window widgets.
int | vsep_normal
| Normal vertical spacing.
int | vsep_sparse
| Normal vertical spacing for 'sparse' widget window.
int | vsep_wide
| Wide vertical spacing.
int | hsep_normal
| Normal horizontal spacing.
int | hsep_wide
| Wide horizontal spacing.
int | hsep_indent
| Width of indentation for tree layouts.

## Static Public Attributes
static const WidgetDimensions | unscaled
| Unscaled widget dimensions.
static WidgetDimensions | scaled = {}
| Widget dimensions scaled for current zoom level.
static constexpr float | ASPECT_LOCATION = 12.f / 14.f
static constexpr float | ASPECT_RENAME = 12.f / 14.f
static constexpr float | ASPECT_TOGGLE_SIZE = 12.f / 14.f
static constexpr float | ASPECT_LEFT_RIGHT_BUTTON = 8.f / 12.f
static constexpr float | ASPECT_UP_DOWN_BUTTON = 11.f / 12.f
static constexpr float | ASPECT_VEHICLE_ICON = 15.f / 12.f
static constexpr float | ASPECT_VEHICLE_FLAG = 11.f / 12.f

## Private Attributes
friend | NWidgetLeaf

## Static Private Attributes
static constexpr uint | WD_SHADEBOX_WIDTH = 12
| Distances used in drawing widgets.
static constexpr uint | WD_STICKYBOX_WIDTH = 12
| Minimum width of a standard sticky box widget.
static constexpr uint | WD_DEBUGBOX_WIDTH = 12
| Minimum width of a standard debug box widget.
static constexpr uint | WD_DEFSIZEBOX_WIDTH = 12
| Minimum width of a standard defsize box widget.
static constexpr uint | WD_RESIZEBOX_WIDTH = 12
| Minimum width of a resize box widget.
static constexpr uint | WD_CLOSEBOX_WIDTH = 11
| Minimum width of a close box widget.
static constexpr uint | WD_CAPTION_HEIGHT = 14
| Minimum height of a title bar.
static constexpr uint | WD_DROPDOWN_HEIGHT = 12
| Minimum height of a drop down widget.

## Detailed Description

Definition at line 32 of file window_gui.h.

## Field Documentation

## ◆ ASPECT_LEFT_RIGHT_BUTTON

constexpr float WidgetDimensions::ASPECT_LEFT_RIGHT_BUTTON = 8.f / 12.f
| staticconstexpr

Definition at line 71 of file window_gui.h.

## ◆ ASPECT_LOCATION

constexpr float WidgetDimensions::ASPECT_LOCATION = 12.f / 14.f
| staticconstexpr

Definition at line 68 of file window_gui.h.

## ◆ ASPECT_RENAME

constexpr float WidgetDimensions::ASPECT_RENAME = 12.f / 14.f
| staticconstexpr

Definition at line 69 of file window_gui.h.

## ◆ ASPECT_TOGGLE_SIZE

constexpr float WidgetDimensions::ASPECT_TOGGLE_SIZE = 12.f / 14.f
| staticconstexpr

Definition at line 70 of file window_gui.h.

## ◆ ASPECT_UP_DOWN_BUTTON

constexpr float WidgetDimensions::ASPECT_UP_DOWN_BUTTON = 11.f / 12.f
| staticconstexpr

Definition at line 72 of file window_gui.h.

## ◆ ASPECT_VEHICLE_FLAG

constexpr float WidgetDimensions::ASPECT_VEHICLE_FLAG = 11.f / 12.f
| staticconstexpr

Definition at line 74 of file window_gui.h.

## ◆ ASPECT_VEHICLE_ICON

constexpr float WidgetDimensions::ASPECT_VEHICLE_ICON = 15.f / 12.f
| staticconstexpr

Definition at line 73 of file window_gui.h.

## ◆ bevel

RectPadding WidgetDimensions::bevel

Bevel thickness, affected by "scaled bevels" game option.

Definition at line 38 of file window_gui.h.

Referenced by NWidgetBackground::Draw(), NWidgetScrollbar::Draw(), NWidgetLeaf::Draw(), DrawAircraftImage(), DrawArrowButtons(), DrawBoolButton(), ButtonLine::DrawButtons(), DrawCaption(), NetworkContentListWindow::DrawDetails(), DrawDropDownButton(), DrawFrame(), BaseGraphWindow::DrawGraph(), VehicleGroupWindow::DrawGroupInfo(), DrawHorizontalScrollbar(), NetworkContentListWindow::DrawMatrix(), DrawMatrix(), DrawResizeBox(), DrawRoadVehImage(), NetworkGameWindow::DrawServerLine(), DrawShipImage(), DrawSliderWidget(), DrawTrainImage(), DrawUpDownButtons(), DrawVerticalScrollbar(), CompanyFinancesWindow::DrawWidget(), BaseGraphWindow::DrawWidget(), BaseCargoGraphWindow::DrawWidget(), VehicleGroupWindow::DrawWidget(), BuildIndustryWindow::DrawWidget(), IndustryCargoesWindow::DrawWidget(), TooltipsWindow::DrawWidget(), MusicTrackSelectionWindow::DrawWidget(), MusicWindow::DrawWidget(), NetworkClientListWindow::DrawWidget(), NewGRFWindow::DrawWidget(), SmallMapWindow::DrawWidget(), StoryBookWindow::DrawWidget(), RefitWindow::DrawWidget(), DrawYearCategory(), DrawYearColumn(), NWidgetBackground::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ captiontext

RectPadding WidgetDimensions::captiontext

Padding for text within caption widget.

Definition at line 49 of file window_gui.h.

Referenced by DrawCaption(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), and NewsWindow::UpdateWidgetSize().

## ◆ closebox

RectPadding WidgetDimensions::closebox

Padding around image in closebox widget.

Definition at line 48 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ debugbox

RectPadding WidgetDimensions::debugbox

Padding around image in debugbox widget.

Definition at line 45 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ defsizebox

RectPadding WidgetDimensions::defsizebox

Padding around image in defsizebox widget.

Definition at line 46 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ dropdownlist

RectPadding WidgetDimensions::dropdownlist

Padding of complete drop down list.

Definition at line 51 of file window_gui.h.

Referenced by DropdownWindow::FitAvailableHeight(), DropdownWindow::OnMouseLoop(), SetupWidgetDimensions(), and DropdownWindow::UpdateSizeAndPosition().

## ◆ dropdowntext

RectPadding WidgetDimensions::dropdowntext

Padding of drop down list item.

Definition at line 50 of file window_gui.h.

Referenced by DropdownWindow::DrawWidget(), GetDropDownListDimension(), NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ framerect

RectPadding WidgetDimensions::framerect

Standard padding inside many panels.

Definition at line 40 of file window_gui.h.

Referenced by VehicleGroupWindow::ComputeGroupInfoSize(), CargoesField::Draw(), StationViewWindow::DrawAcceptedCargo(), StationViewWindow::DrawCargoRatings(), IndustryViewWindow::DrawInfo(), GoalListWindow::DrawListColumn(), BaseVehicleListWindow::DrawVehicleListItems(), ReplaceVehicleWindow::DrawWidget(), BaseGraphWindow::DrawWidget(), TooltipsWindow::DrawWidget(), NetworkStartServerWindow::DrawWidget(), NewGRFParametersWindow::DrawWidget(), TownAuthorityWindow::DrawWidget(), RefitWindow::DrawWidget(), VehicleDetailsWindow::DrawWidget(), CompanyInfrastructureWindow::FindWindowPlacementAndResize(), TownViewWindow::GetDesiredInfoHeight(), SmallMapWindow::GetLegendHeight(), SmallMapWindow::GetMinLegendWidth(), StoryBookWindow::GetPageElementFloatWidth(), StoryBookWindow::GetPageElementHeight(), SmallMapWindow::GetPositionOnLegend(), GoalListWindow::OnClick(), IndustryDirectoryWindow::OnClick(), ScriptLeagueWindow::OnClick(), MusicTrackSelectionWindow::OnClick(), NewGRFWindow::OnClick(), MessageHistoryWindow::OnClick(), SignListWindow::OnClick(), CompanyStationsWindow::OnClick(), StationViewWindow::OnClick(), SelectStationWindow< T >::OnClick(), SubsidyListWindow::OnClick(), TownDirectoryWindow::OnClick(), NewGRFWindow::OnDragDrop(), SmallMapWindow::OnInit(), NewGRFWindow::OnMouseDrag(), SelectStationWindow< T >::OnMouseOver(), CheatWindow::OnTooltip(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), BuildAirportWindow::UpdateWidgetSize(), CompanyInfrastructureWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), BaseCargoGraphWindow::UpdateWidgetSize(), PerformanceLeagueWindow::UpdateWidgetSize(), ScriptLeagueWindow::UpdateWidgetSize(), TooltipsWindow::UpdateWidgetSize(), NetworkClientListWindow::UpdateWidgetSize(), NewGRFWindow::UpdateWidgetSize(), MessageHistoryWindow::UpdateWidgetSize(), BuildSignalWindow::UpdateWidgetSize(), ScriptDebugWindow::UpdateWidgetSize(), GameOptionsWindow::UpdateWidgetSize(), and SubsidyListWindow::UpdateWidgetSize().

## ◆ frametext

RectPadding WidgetDimensions::frametext

Padding inside frame with text.

Definition at line 41 of file window_gui.h.

Referenced by IndustryCargoesWindow::CalculatePositionInWidget(), StoryBookWindow::DrawActionElement(), NetworkContentListWindow::DrawDetails(), DrawFrame(), NewGRFInspectWindow::DrawString(), ReplaceVehicleWindow::DrawWidget(), BootstrapErrorWindow::DrawWidget(), BootstrapAskForDownloadWindow::DrawWidget(), IndustryCargoesWindow::DrawWidget(), StoryBookWindow::DrawWidget(), StoryBookWindow::GetAvailablePageContentWidth(), TextfileWindow::GetHyperlink(), StoryBookWindow::GetPageElementFloatWidth(), StoryBookWindow::GetPageElementHeight(), NewGRFInspectWindow::OnClick(), StoryBookWindow::OnClick(), IConsoleWindow::OnInit(), IndustryCargoesWindow::OnInit(), IConsoleWindow::OnPaint(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), BootstrapErrorWindow::UpdateWidgetSize(), BootstrapAskForDownloadWindow::UpdateWidgetSize(), GenerateProgressWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), IndustryCargoesWindow::UpdateWidgetSize(), LandInfoWindow::UpdateWidgetSize(), BaseNetworkContentDownloadStatusWindow::UpdateWidgetSize(), NetworkJoinStatusWindow::UpdateWidgetSize(), NewGRFInspectWindow::UpdateWidgetSize(), NewGRFParametersWindow::UpdateWidgetSize(), NewGRFWindow::UpdateWidgetSize(), ScanProgressWindow::UpdateWidgetSize(), SignListWindow::UpdateWidgetSize(), StoryBookWindow::UpdateWidgetSize(), and TextfileWindow::UpdateWidgetSize().

## ◆ fullbevel

RectPadding WidgetDimensions::fullbevel

Always-scaled bevel thickness.

Definition at line 39 of file window_gui.h.

Referenced by DrawEngineList(), VehicleGroupWindow::DrawGroupInfo(), CompanyInfrastructureWindow::DrawWidget(), TooltipsWindow::DrawWidget(), TransparenciesWindow::DrawWidget(), ViewportSign::MarkDirty(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), ViewportSign::UpdatePosition(), BuildDocksDepotWindow::UpdateWidgetSize(), GenerateLandscapeWindow::UpdateWidgetSize(), CreateScenarioWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), ScriptLeagueWindow::UpdateWidgetSize(), TooltipsWindow::UpdateWidgetSize(), MusicWindow::UpdateWidgetSize(), BuildObjectWindow::UpdateWidgetSize(), PickerWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), BuildRailDepotWindow::UpdateWidgetSize(), BuildRoadDepotWindow::UpdateWidgetSize(), and BuildRoadStationWindow::UpdateWidgetSize().

## ◆ hscrollbar

RectPadding WidgetDimensions::hscrollbar

Padding inside horizontal scrollbar buttons.

Definition at line 37 of file window_gui.h.

Referenced by SetupWidgetDimensions().

## ◆ hsep_indent

int WidgetDimensions::hsep_indent

Width of indentation for tree layouts.

Definition at line 63 of file window_gui.h.

Referenced by VehicleGroupWindow::ComputeGroupInfoSize(), BaseSettingEntry::Draw(), StationViewWindow::DrawCargoRatings(), DrawEngineList(), VehicleGroupWindow::DrawGroupInfo(), SelectCompanyLiveryWindow::DrawWidget(), CompanyInfrastructureWindow::DrawWidget(), GetMaxCategoriesWidth(), VehicleGroupWindow::OnClick(), SetupWidgetDimensions(), CompanyInfrastructureWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), and PerformanceLeagueWindow::UpdateWidgetSize().

## ◆ hsep_normal

int WidgetDimensions::hsep_normal

Normal horizontal spacing.

Definition at line 61 of file window_gui.h.

Referenced by VehicleGroupWindow::ComputeGroupInfoSize(), BaseSettingEntry::Draw(), CompanyButtonLine::Draw(), ClientButtonLine::Draw(), ButtonLine::DrawButtons(), DrawEngineList(), IndustryViewWindow::DrawInfo(), TownAuthorityWindow::DrawRatings(), SettingsPage::DrawSetting(), DrawSliderWidget(), DrawTrainDetails(), DepotWindow::DrawVehicleInDepot(), BaseVehicleListWindow::DrawVehicleListItems(), BuildBridgeWindow::DrawWidget(), SelectCompanyLiveryWindow::DrawWidget(), FrametimeGraphWindow::DrawWidget(), GraphLegendWindow::DrawWidget(), BaseCargoGraphWindow::DrawWidget(), CompanyStationsWindow::DrawWidget(), SubsidyListWindow::DrawWidget(), TownDirectoryWindow::DrawWidget(), ButtonLine::GetButton(), GUIBadgeClasses::GUIBadgeClasses(), IndustryViewWindow::OnClick(), IConsoleWindow::OnInit(), IndustryCargoesWindow::OnInit(), SmallMapWindow::OnInit(), IConsoleWindow::OnPaint(), SetupWidgetDimensions(), BuildBridgeWindow::UpdateWidgetSize(), SelectCompanyLiveryWindow::UpdateWidgetSize(), DepotWindow::UpdateWidgetSize(), FrametimeGraphWindow::UpdateWidgetSize(), BaseCargoGraphWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), NetworkGameWindow::UpdateWidgetSize(), and BuildObjectWindow::UpdateWidgetSize().

## ◆ hsep_wide

int WidgetDimensions::hsep_wide

Wide horizontal spacing.

Definition at line 62 of file window_gui.h.

Referenced by NWidgetNewGRFDisplay::AssignSizePosition(), VehicleGroupWindow::ComputeGroupInfoSize(), NetworkContentListWindow::DrawMatrix(), SettingEntry::DrawSetting(), BaseVehicleListWindow::DrawVehicleListItems(), BuildIndustryWindow::DrawWidget(), PerformanceLeagueWindow::DrawWidget(), ScriptLeagueWindow::DrawWidget(), CompanyStationsWindow::DrawWidget(), GUIBadgeClasses::GUIBadgeClasses(), NWidgetNewGRFDisplay::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), CompanyInfrastructureWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), VehicleGroupWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), PerformanceLeagueWindow::UpdateWidgetSize(), ScriptLeagueWindow::UpdateWidgetSize(), MessageHistoryWindow::UpdateWidgetSize(), and TimetableWindow::UpdateWidgetSize().

## ◆ imgbtn

RectPadding WidgetDimensions::imgbtn

Padding around image button image.

Definition at line 34 of file window_gui.h.

Referenced by QueryString::GetBoundingRect(), QueryString::GetCaretPosition(), QueryString::GetCharAtPosition(), NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ inset

RectPadding WidgetDimensions::inset

Padding inside inset container.

Definition at line 35 of file window_gui.h.

Referenced by DrawInset(), SaveLoadWindow::OnClick(), SaveLoadWindow::OnMouseOver(), NWidgetBackground::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ matrix

RectPadding WidgetDimensions::matrix

Padding of WWT_MATRIX items.

Definition at line 42 of file window_gui.h.

Referenced by NetworkContentListWindow::DrawMatrix(), NetworkGameWindow::DrawServerLine(), DrawTrainDetails(), DepotWindow::DrawVehicleInDepot(), DrawVehicleRefitWindow(), GSConfigWindow::DrawWidget(), VehicleDetailsWindow::DrawWidget(), GetVehicleListHeight(), MakeCompanyButtonRows(), SelectCompanyManagerFaceWindow::OnInit(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), PerformanceRatingDetailWindow::UpdateWidgetSize(), and NetworkGameWindow::UpdateWidgetSize().

## ◆ modalpopup

RectPadding WidgetDimensions::modalpopup

Spacing for popup warning/information windows.

Definition at line 52 of file window_gui.h.

Referenced by SetupWidgetDimensions().

## ◆ NWidgetLeaf

friend WidgetDimensions::NWidgetLeaf
| private

Definition at line 90 of file window_gui.h.

## ◆ picker

RectPadding WidgetDimensions::picker

Padding for a picker (dock, station, etc) window.

Definition at line 53 of file window_gui.h.

## ◆ resizebox

RectPadding WidgetDimensions::resizebox

Padding around image in resizebox widget.

Definition at line 47 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ scaled

WidgetDimensions WidgetDimensions::scaled = {}
| static

Widget dimensions scaled for current zoom level.

Definition at line 30 of file window_gui.h.

Referenced by NWidgetNewGRFDisplay::AssignSizePosition(), IndustryCargoesWindow::CalculatePositionInWidget(), CheckClickOnViewportSign(), VehicleGroupWindow::ComputeGroupInfoSize(), NWidgetBackground::Draw(), NWidgetScrollbar::Draw(), NWidgetLeaf::Draw(), BaseSettingEntry::Draw(), CargoesField::Draw(), CompanyButtonLine::Draw(), ClientButtonLine::Draw(), StationViewWindow::DrawAcceptedCargo(), StoryBookWindow::DrawActionElement(), TownAuthorityWindow::DrawActions(), DrawAircraftDetails(), DrawAircraftImage(), TimetableWindow::DrawArrivalDeparturePanel(), DrawArrowButtons(), DrawBadgeColumn(), DrawBoolButton(), DrawButtonDropdown(), ButtonLine::DrawButtons(), DrawCaption(), StationViewWindow::DrawCargoRatings(), DrawCategories(), DrawCategory(), NetworkContentListWindow::DrawDetails(), DrawDropDownButton(), FramerateWindow::DrawElementTimesColumn(), DrawEngineList(), StationViewWindow::DrawEntries(), DrawFrame(), DrawFrameRect(), BaseGraphWindow::DrawGraph(), VehicleGroupWindow::DrawGroupInfo(), DrawHorizontalScrollbar(), DrawImageTextButtons(), IndustryViewWindow::DrawInfo(), DrawInset(), DrawLayoutLine(), GoalListWindow::DrawListColumn(), NetworkContentListWindow::DrawMatrix(), DrawMatrix(), TownAuthorityWindow::DrawRatings(), DrawResizeBox(), DrawRoadVehDetails(), DrawRoadVehImage(), NetworkGameWindow::DrawServerLine(), SettingEntry::DrawSetting(), SettingsPage::DrawSetting(), DrawShipDetails(), DrawShipImage(), BuildSignalWindow::DrawSignalSprite(), DrawSliderWidget(), NewGRFInspectWindow::DrawString(), TimetableWindow::DrawSummaryPanel(), TimetableWindow::DrawTimetablePanel(), DrawTrainDetails(), DrawTrainImage(), DrawUpDownButtons(), NewGRFInspectWindow::DrawVehicleChainWidget(), DepotWindow::DrawVehicleInDepot(), BaseVehicleListWindow::DrawVehicleListItems(), DrawVehicleRefitWindow(), DrawVerticalScrollbar(), AIConfigWindow::DrawWidget(), BuildAirportWindow::DrawWidget(), ReplaceVehicleWindow::DrawWidget(), BootstrapErrorWindow::DrawWidget(), BootstrapAskForDownloadWindow::DrawWidget(), BuildBridgeWindow::DrawWidget(), CompanyFinancesWindow::DrawWidget(), SelectCompanyLiveryWindow::DrawWidget(), SelectCompanyManagerFaceWindow::DrawWidget(), CompanyInfrastructureWindow::DrawWidget(), DepotWindow::DrawWidget(), BuildDocksDepotWindow::DrawWidget(), DropdownWindow::DrawWidget(), EnginePreviewWindow::DrawWidget(), ErrmsgWindow::DrawWidget(), SaveLoadWindow::DrawWidget(), FramerateWindow::DrawWidget(), FrametimeGraphWindow::DrawWidget(), GSConfigWindow::DrawWidget(), GenerateProgressWindow::DrawWidget(), GraphLegendWindow::DrawWidget(), BaseGraphWindow::DrawWidget(), BaseCargoGraphWindow::DrawWidget(), VehicleGroupWindow::DrawWidget(), BuildIndustryWindow::DrawWidget(), IndustryDirectoryWindow::DrawWidget(), IndustryCargoesWindow::DrawWidget(), PerformanceLeagueWindow::DrawWidget(), ScriptLeagueWindow::DrawWidget(), LinkGraphLegendWindow::DrawWidget(), LandInfoWindow::DrawWidget(), TooltipsWindow::DrawWidget(), MusicTrackSelectionWindow::DrawWidget(), MusicWindow::DrawWidget(), BaseNetworkContentDownloadStatusWindow::DrawWidget(), NetworkStartServerWindow::DrawWidget(), NetworkClientListWindow::DrawWidget(), NetworkJoinStatusWindow::DrawWidget(), SpriteAlignerWindow::DrawWidget(), NewGRFParametersWindow::DrawWidget(), NewGRFWindow::DrawWidget(), SavePresetWindow::DrawWidget(), ScanProgressWindow::DrawWidget(), MessageHistoryWindow::DrawWidget(), BuildObjectWindow::DrawWidget(), OrdersWindow::DrawWidget(), PickerWindow::DrawWidget(), BuildRailStationWindow::DrawWidget(), BuildRailDepotWindow::DrawWidget(), BuildRoadDepotWindow::DrawWidget(), BuildRoadStationWindow::DrawWidget(), ScriptListWindow::DrawWidget(), ScriptSettingsWindow::DrawWidget(), GameOptionsWindow::DrawWidget(), SignListWindow::DrawWidget(), SmallMapWindow::DrawWidget(), CompanyStationsWindow::DrawWidget(), SelectStationWindow< T >::DrawWidget(), StatusBarWindow::DrawWidget(), StoryBookWindow::DrawWidget(), SubsidyListWindow::DrawWidget(), TextfileWindow::DrawWidget(), TownAuthorityWindow::DrawWidget(), TownViewWindow::DrawWidget(), TownDirectoryWindow::DrawWidget(), TransparenciesWindow::DrawWidget(), RefitWindow::DrawWidget(), VehicleDetailsWindow::DrawWidget(), VehicleViewWindow::DrawWidget(), ScriptDebugWindow::DrawWidgetLog(), Window::DrawWidgets(), DrawYearCategory(), DrawYearColumn(), CompanyInfrastructureWindow::FindWindowPlacementAndResize(), DropdownWindow::FitAvailableHeight(), GetAutoPlacePosition(), StoryBookWindow::GetAvailablePageContentWidth(), QueryString::GetBoundingRect(), ButtonLine::GetButton(), QueryString::GetCaretPosition(), QueryString::GetCharAtPosition(), TownViewWindow::GetDesiredInfoHeight(), DropdownWindow::GetDropDownItem(), GetDropDownListDimension(), GetEngineListHeight(), TextfileWindow::GetHyperlink(), SmallMapWindow::GetLegendHeight(), GetMaxCategoriesWidth(), SmallMapWindow::GetMinLegendWidth(), OrdersWindow::GetOrderFromPt(), StoryBookWindow::GetPageElementFloatWidth(), StoryBookWindow::GetPageElementHeight(), SmallMapWindow::GetPositionOnLegend(), VehicleDetailsWindow::GetRoadVehDetailsHeight(), GetTotalCategoriesHeight(), GetVehicleListHeight(), GUIBadgeClasses::GUIBadgeClasses(), LocalGetWindowPlacement(), ViewportSign::MarkDirty(), ReplaceVehicleWindow::OnClick(), BuildVehicleWindow::OnClick(), SelectCompanyManagerFaceWindow::OnClick(), SaveLoadWindow::OnClick(), FramerateWindow::OnClick(), GSConfigWindow::OnClick(), GoalListWindow::OnClick(), BaseGraphWindow::OnClick(), VehicleGroupWindow::OnClick(), IndustryViewWindow::OnClick(), IndustryDirectoryWindow::OnClick(), ScriptLeagueWindow::OnClick(), MusicTrackSelectionWindow::OnClick(), NetworkClientListWindow::OnClick(), NewGRFInspectWindow::OnClick(), NewGRFParametersWindow::OnClick(), NewGRFWindow::OnClick(), MessageHistoryWindow::OnClick(), ScriptSettingsWindow::OnClick(), SignListWindow::OnClick(), CompanyStationsWindow::OnClick(), StationViewWindow::OnClick(), SelectStationWindow< T >::OnClick(), StoryBookWindow::OnClick(), SubsidyListWindow::OnClick(), TownDirectoryWindow::OnClick(), NewGRFWindow::OnDragDrop(), SelectCompanyManagerFaceWindow::OnInit(), IConsoleWindow::OnInit(), IndustryViewWindow::OnInit(), IndustryCargoesWindow::OnInit(), GameOptionsWindow::OnInit(), SmallMapWindow::OnInit(), ScriptDebugWindow::OnInvalidateData(), NewGRFWindow::OnMouseDrag(), DropdownWindow::OnMouseLoop(), SaveLoadWindow::OnMouseOver(), BaseGraphWindow::OnMouseOver(), SelectStationWindow< T >::OnMouseOver(), BuildAirportWindow::OnPaint(), ReplaceVehicleWindow::OnPaint(), BuildVehicleWindow::OnPaint(), IConsoleWindow::OnPaint(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), BuildRoadStationWindow::OnPaint(), GameOptionsWindow::OnPaint(), StationViewWindow::OnPaint(), CompanyInfrastructureWindow::OnResize(), FramerateWindow::OnResize(), GoalListWindow::OnResize(), IndustryDirectoryWindow::OnResize(), IndustryCargoesWindow::OnResize(), NewGRFInspectWindow::OnResize(), NewGRFWindow::OnResize(), SavePresetWindow::OnResize(), MessageHistoryWindow::OnResize(), OrdersWindow::OnResize(), ScriptDebugWindow::OnResize(), GameOptionsWindow::OnResize(), SignListWindow::OnResize(), CompanyStationsWindow::OnResize(), StationViewWindow::OnResize(), SelectStationWindow< T >::OnResize(), StoryBookWindow::OnResize(), SubsidyListWindow::OnResize(), TextfileWindow::OnResize(), TimetableWindow::OnResize(), TownDirectoryWindow::OnResize(), CheatWindow::OnTooltip(), NetworkClientListWindow::OnTooltip(), NWidgetNewGRFDisplay::SetupSmallestSize(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), VehicleGroupWindow::UpdateColumnRects(), ViewportSign::UpdatePosition(), DropdownWindow::UpdateSizeAndPosition(), BuildAirportWindow::UpdateWidgetSize(), BootstrapErrorWindow::UpdateWidgetSize(), BootstrapAskForDownloadWindow::UpdateWidgetSize(), BuildBridgeWindow::UpdateWidgetSize(), SelectCompanyLiveryWindow::UpdateWidgetSize(), CompanyInfrastructureWindow::UpdateWidgetSize(), DepotWindow::UpdateWidgetSize(), BuildDocksDepotWindow::UpdateWidgetSize(), EnginePreviewWindow::UpdateWidgetSize(), ErrmsgWindow::UpdateWidgetSize(), FramerateWindow::UpdateWidgetSize(), FrametimeGraphWindow::UpdateWidgetSize(), GenerateLandscapeWindow::UpdateWidgetSize(), CreateScenarioWindow::UpdateWidgetSize(), GenerateProgressWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), BaseCargoGraphWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), VehicleGroupWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), IndustryCargoesWindow::UpdateWidgetSize(), PerformanceLeagueWindow::UpdateWidgetSize(), ScriptLeagueWindow::UpdateWidgetSize(), LandInfoWindow::UpdateWidgetSize(), TooltipsWindow::UpdateWidgetSize(), MusicWindow::UpdateWidgetSize(), BaseNetworkContentDownloadStatusWindow::UpdateWidgetSize(), NetworkGameWindow::UpdateWidgetSize(), NetworkClientListWindow::UpdateWidgetSize(), NetworkJoinStatusWindow::UpdateWidgetSize(), NewGRFInspectWindow::UpdateWidgetSize(), NewGRFParametersWindow::UpdateWidgetSize(), NewGRFWindow::UpdateWidgetSize(), ScanProgressWindow::UpdateWidgetSize(), NewsWindow::UpdateWidgetSize(), MessageHistoryWindow::UpdateWidgetSize(), BuildObjectWindow::UpdateWidgetSize(), PickerWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), BuildSignalWindow::UpdateWidgetSize(), BuildRailDepotWindow::UpdateWidgetSize(), BuildRoadDepotWindow::UpdateWidgetSize(), BuildRoadStationWindow::UpdateWidgetSize(), ScriptDebugWindow::UpdateWidgetSize(), GameOptionsWindow::UpdateWidgetSize(), SignListWindow::UpdateWidgetSize(), StoryBookWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), TextfileWindow::UpdateWidgetSize(), TimetableWindow::UpdateWidgetSize(), TownAuthorityWindow::UpdateWidgetSize(), VehicleDetailsWindow::UpdateWidgetSize(), and ViewportAddString().

## ◆ shadebox

RectPadding WidgetDimensions::shadebox

Padding around image in shadebox widget.

Definition at line 43 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ sparse

RectPadding WidgetDimensions::sparse

Padding used for 'sparse' widget window, usually containing multiple frames.

Definition at line 54 of file window_gui.h.

## ◆ sparse_resize

RectPadding WidgetDimensions::sparse_resize

Padding used for a resizeable 'sparse' widget window, usually containing multiple frames.

Definition at line 55 of file window_gui.h.

## ◆ stickybox

RectPadding WidgetDimensions::stickybox

Padding around image in stickybox widget.

Definition at line 44 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ unscaled

constexpr WidgetDimensions WidgetDimensions::unscaled
| inlinestaticconstexpr

Unscaled widget dimensions.

Definition at line 93 of file window_gui.h.

Referenced by MakeCompanyButtonRows(), MakeNWidgetCompanyLines(), MakePickerClassWidgets(), MakePickerTypeWidgets(), NWidgetLeaf::NWidgetLeaf(), and SetupWidgetDimensions().

## ◆ vscrollbar

RectPadding WidgetDimensions::vscrollbar

Padding inside vertical scrollbar buttons.

Definition at line 36 of file window_gui.h.

Referenced by NWidgetLeaf::SetupSmallestSize(), and SetupWidgetDimensions().

## ◆ vsep_normal

int WidgetDimensions::vsep_normal

Normal vertical spacing.

Definition at line 58 of file window_gui.h.

Referenced by DrawAircraftDetails(), DrawCategories(), FramerateWindow::DrawElementTimesColumn(), DrawRoadVehDetails(), DrawShipDetails(), DepotWindow::DrawVehicleInDepot(), CompanyInfrastructureWindow::DrawWidget(), FramerateWindow::DrawWidget(), LandInfoWindow::DrawWidget(), ScriptListWindow::DrawWidget(), DrawYearCategory(), DrawYearColumn(), VehicleDetailsWindow::GetRoadVehDetailsHeight(), GetTotalCategoriesHeight(), FramerateWindow::OnClick(), BuildAirportWindow::OnPaint(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), BuildRoadStationWindow::OnPaint(), FramerateWindow::OnResize(), SetupWidgetDimensions(), DepotWindow::UpdateWidgetSize(), FramerateWindow::UpdateWidgetSize(), FrametimeGraphWindow::UpdateWidgetSize(), GenerateProgressWindow::UpdateWidgetSize(), PerformanceLeagueWindow::UpdateWidgetSize(), LandInfoWindow::UpdateWidgetSize(), BaseNetworkContentDownloadStatusWindow::UpdateWidgetSize(), ScanProgressWindow::UpdateWidgetSize(), MessageHistoryWindow::UpdateWidgetSize(), BuildObjectWindow::UpdateWidgetSize(), ScriptDebugWindow::UpdateWidgetSize(), TownAuthorityWindow::UpdateWidgetSize(), and VehicleDetailsWindow::UpdateWidgetSize().

## ◆ vsep_picker

int WidgetDimensions::vsep_picker

Vertical spacing of picker-window widgets.

Definition at line 57 of file window_gui.h.

## ◆ vsep_sparse

int WidgetDimensions::vsep_sparse

Normal vertical spacing for 'sparse' widget window.

Definition at line 59 of file window_gui.h.

## ◆ vsep_wide

int WidgetDimensions::vsep_wide

Wide vertical spacing.

Definition at line 60 of file window_gui.h.

Referenced by NWidgetNewGRFDisplay::AssignSizePosition(), StationViewWindow::DrawCargoRatings(), DrawCategories(), NetworkContentListWindow::DrawDetails(), IndustryViewWindow::DrawInfo(), EnginePreviewWindow::DrawWidget(), ErrmsgWindow::DrawWidget(), ScriptLeagueWindow::DrawWidget(), LandInfoWindow::DrawWidget(), DrawYearColumn(), GetTotalCategoriesHeight(), IndustryCargoesWindow::OnInit(), SetupWidgetDimensions(), EnginePreviewWindow::UpdateWidgetSize(), ErrmsgWindow::UpdateWidgetSize(), ScriptLeagueWindow::UpdateWidgetSize(), and LandInfoWindow::UpdateWidgetSize().

## ◆ WD_CAPTION_HEIGHT

constexpr uint WidgetDimensions::WD_CAPTION_HEIGHT = 14
| staticconstexprprivate

Minimum height of a title bar.

Definition at line 87 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_CLOSEBOX_WIDTH

constexpr uint WidgetDimensions::WD_CLOSEBOX_WIDTH = 11
| staticconstexprprivate

Minimum width of a close box widget.

Definition at line 86 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_DEBUGBOX_WIDTH

constexpr uint WidgetDimensions::WD_DEBUGBOX_WIDTH = 12
| staticconstexprprivate

Minimum width of a standard debug box widget.

Definition at line 83 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_DEFSIZEBOX_WIDTH

constexpr uint WidgetDimensions::WD_DEFSIZEBOX_WIDTH = 12
| staticconstexprprivate

Minimum width of a standard defsize box widget.

Definition at line 84 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_DROPDOWN_HEIGHT

constexpr uint WidgetDimensions::WD_DROPDOWN_HEIGHT = 12
| staticconstexprprivate

Minimum height of a drop down widget.

Definition at line 88 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_RESIZEBOX_WIDTH

constexpr uint WidgetDimensions::WD_RESIZEBOX_WIDTH = 12
| staticconstexprprivate

Minimum width of a resize box widget.

Definition at line 85 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_SHADEBOX_WIDTH

constexpr uint WidgetDimensions::WD_SHADEBOX_WIDTH = 12
| staticconstexprprivate

Distances used in drawing widgets.

These constants should not be used elsewhere, use scaled/unscaled WidgetDimensions instead. Minimum width of a standard shade box widget.

Definition at line 81 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

## ◆ WD_STICKYBOX_WIDTH

constexpr uint WidgetDimensions::WD_STICKYBOX_WIDTH = 12
| staticconstexprprivate

Minimum width of a standard sticky box widget.

Definition at line 82 of file window_gui.h.

Referenced by NWidgetLeaf::NWidgetLeaf().

The documentation for this class was generated from the following files:

- src/window_gui.h
- src/widget.cpp